unofficial mirror of bug-guix@gnu.org 
 help / color / mirror / Atom feed
* bug#48722: [PATCH] python-hg-evolve update to 10.3.1 for compatibility with new hg
@ 2021-05-28 20:28 Dr. Arne Babenhauserheide
  2021-05-28 21:28 ` Xinglu Chen
  0 siblings, 1 reply; 3+ messages in thread
From: Dr. Arne Babenhauserheide @ 2021-05-28 20:28 UTC (permalink / raw)
  To: 48722


[-- Attachment #1.1: Type: text/plain, Size: 801 bytes --]

Hi,

The current evolve extension in Guix does not work with current hg
anymore. To reproduce:

$ echo '[extensions]
evolve=
' >> ~/.hgrc
$ guix install python-hg-evolve
$ hg 
Traceback (most recent call last):
  File "/gnu/store/2j3qrrdbnbw9x6jm00z3clc6pk4ijcz2-mercurial-5.8/lib/python3.8/site-packages/mercurial/extensions.py", line 273, in _runextsetup
    extsetup(ui)
  File "/home/arne/.guix-profile/lib/python3.8/site-packages/hgext3rd/evolve/exthelper.py", line 182, in finalextsetup
    knownexts[ext] = e.cmdtable
AttributeError: module 'hgext.strip' has no attribute 'cmdtable'
*** failed to set up extension evolve: module 'hgext.strip' has no attribute 'cmdtable'

The included patch updates python-hg-evolve to 10.3.1 which fixes the problem.

Best wishes,
Arne


[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #1.2: python-hg-evolve-update-to-10-3-1 --]
[-- Type: text/x-patch, Size: 1217 bytes --]

From b4796dc8b9a0f9d8fffd44675496d1371ebd8cff Mon Sep 17 00:00:00 2001
From: Arne Babenhauserheide <arne_bab@web.de>
Date: Fri, 28 May 2021 22:14:39 +0200
Subject: [PATCH] gnu: python-hg-evolve update to 10.3.1

* gnu/packages/version-control.scm (python-hg-evolve): update to 10.3.1
---
 gnu/packages/version-control.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 80842ecf0c..cd262402c1 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -1701,7 +1701,7 @@ interface.")
 (define-public python-hg-evolve
   (package
     (name "python-hg-evolve")
-    (version "10.0.1")
+    (version "10.3.1")
     (source
       (origin
         (method hg-fetch)
@@ -1711,7 +1711,7 @@ interface.")
         (file-name (string-append name "-" version "-checkout"))
         (sha256
           (base32
-            "1lz407373lfam9n02gq0l0rc2sjvn0m96kbzy93ipia3ika8fa68"))))
+            "0msnp5fp8sz4q2r5xpcmm60h82kwkyg23y212v1xfp7ixkq9f4qa"))))
     (build-system python-build-system)
     (arguments
      ;; Tests need mercurial source code.
-- 
2.31.1


[-- Attachment #1.3: Type: text/plain, Size: 67 bytes --]


-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 1125 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#48722: [PATCH] python-hg-evolve update to 10.3.1 for compatibility with new hg
  2021-05-28 20:28 bug#48722: [PATCH] python-hg-evolve update to 10.3.1 for compatibility with new hg Dr. Arne Babenhauserheide
@ 2021-05-28 21:28 ` Xinglu Chen
  2021-06-02  7:39   ` Efraim Flashner
  0 siblings, 1 reply; 3+ messages in thread
From: Xinglu Chen @ 2021-05-28 21:28 UTC (permalink / raw)
  To: Dr. Arne Babenhauserheide, 48722

[-- Attachment #1: Type: text/plain, Size: 315 bytes --]

On Fri, May 28 2021, Dr. Arne Babenhauserheide wrote:

> Hi,
>
> The current evolve extension in Guix does not work with current hg
> anymore. To reproduce:

I sent a patch for this a few days ago :)

   https://issues.guix.gnu.org/48705

BTW, you should send patches to guix-patches@gnu.org, not
bug-guix@gnu.org


[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 861 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

* bug#48722: [PATCH] python-hg-evolve update to 10.3.1 for compatibility with new hg
  2021-05-28 21:28 ` Xinglu Chen
@ 2021-06-02  7:39   ` Efraim Flashner
  0 siblings, 0 replies; 3+ messages in thread
From: Efraim Flashner @ 2021-06-02  7:39 UTC (permalink / raw)
  To: Xinglu Chen; +Cc: 48722-done

[-- Attachment #1: Type: text/plain, Size: 771 bytes --]

On Fri, May 28, 2021 at 11:28:12PM +0200, Xinglu Chen wrote:
> On Fri, May 28 2021, Dr. Arne Babenhauserheide wrote:
> 
> > Hi,
> >
> > The current evolve extension in Guix does not work with current hg
> > anymore. To reproduce:
> 
> I sent a patch for this a few days ago :)
> 
>    https://issues.guix.gnu.org/48705
> 
> BTW, you should send patches to guix-patches@gnu.org, not
> bug-guix@gnu.org
> 

Xinglu's patch did arrive earlier and is now merged. It's good to see
people are making sure mercurial packages are still working :)


-- 
Efraim Flashner   <efraim@flashner.co.il>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-06-02  7:43 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-05-28 20:28 bug#48722: [PATCH] python-hg-evolve update to 10.3.1 for compatibility with new hg Dr. Arne Babenhauserheide
2021-05-28 21:28 ` Xinglu Chen
2021-06-02  7:39   ` Efraim Flashner

unofficial mirror of bug-guix@gnu.org 

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://yhetil.org/guix-bugs/0 guix-bugs/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 guix-bugs guix-bugs/ https://yhetil.org/guix-bugs \
		bug-guix@gnu.org
	public-inbox-index guix-bugs

Example config snippet for mirrors.
Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.gnu.guix.bugs
	nntp://news.gmane.io/gmane.comp.gnu.guix.bugs


AGPL code for this site: git clone http://ou63pmih66umazou.onion/public-inbox.git